---
title: Date.prototype.setMonth()
slug: Web/JavaScript/Reference/Global_Objects/Date/setMonth
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setMonth()</code></strong> method sets the month for a specified date according to the currently set year.</p>

<div>{{EmbedInteractiveExample("pages/js/date-setmonth.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setMonth(<var>monthValue</var>[, <var>dayValue</var>])</pre>

<h3 id="Versions_prior_to_JavaScript_1.3">Versions prior to JavaScript 1.3</h3>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setMonth(<var>monthValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>monthValue</var></code></dt>
 <dd>A zero-based integer representing the month of the year offset from the start of the year. So, 0 represents January, 11 represents December, -1 represents December of the previous year, and 12 represents January of the following year.</dd>
 <dt><code><var>dayValue</var></code></dt>
 <dd>Optional. An integer from 1 to 31, representing the day of the month.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If you do not specify the <code><var>dayValue</var></code> parameter, the value returned from the {{jsxref("Date.prototype.getDate()", "getDate()")}} method is used.</p>

<p>If a parameter you specify is outside of the expected range, <code>setMonth()</code> attempts to update the date information in the {{jsxref("Date")}} object accordingly. For example, if you use 15 for <code><var>monthValue</var></code>, the year will be incremented by 1, and 3 will be used for month.</p>

<p>The current day of month will have an impact on the behaviour of this method. Conceptually it will add the number of days given by the current day of the month to the 1st day of the new month specified as the parameter, to return the new date. For example, if the current value is 31st August 2016, calling setMonth with a value of 1 will return 2nd March 2016. This is because in 2016 February had 29 days.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setMonth">Using setMonth()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date();
theBigDay.setMonth(6);

//Watch out for end of month transitions
var endOfMonth = new Date(2016, 7, 31);
endOfMonth.setMonth(1);
console.log(endOfMonth); //Wed Mar 02 2016 00:00:00
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setmonth', 'Date.prototype.setMonth')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setMonth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getMonth()")}}</li>
 <li>{{jsxref("Date.prototype.setUTCMonth()")}}</li>
</ul>
